org.apache.poi.sl.draw.binding

## Class CTXYAdjustHandle

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTXYAdjustHandle

-     public class CTXYAdjustHandle
      extends java.lang.Object

  Java class for CT_XYAdjustHandle complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_XYAdjustHandle">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="pos" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_AdjPoint2D"/>
             </sequence>
             <attribute name="gdRefX" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_GeomGuideName" />
             <attribute name="minX" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="maxX" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="gdRefY" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_GeomGuideName" />
             <attribute name="minY" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="maxY" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `gdRefX`
    `protected java.lang.String` | `gdRefY`
    `protected java.lang.String` | `maxX`
    `protected java.lang.String` | `maxY`
    `protected java.lang.String` | `minX`
    `protected java.lang.String` | `minY`
    `protected CTAdjPoint2D` | `pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTXYAdjustHandle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGdRefX()` Gets the value of the gdRefX property.
    `java.lang.String` | `getGdRefY()` Gets the value of the gdRefY property.
    `java.lang.String` | `getMaxX()` Gets the value of the maxX property.
    `java.lang.String` | `getMaxY()` Gets the value of the maxY property.
    `java.lang.String` | `getMinX()` Gets the value of the minX property.
    `java.lang.String` | `getMinY()` Gets the value of the minY property.
    `CTAdjPoint2D` | `getPos()` Gets the value of the pos property.
    `boolean` | `isSetGdRefX()`
    `boolean` | `isSetGdRefY()`
    `boolean` | `isSetMaxX()`
    `boolean` | `isSetMaxY()`
    `boolean` | `isSetMinX()`
    `boolean` | `isSetMinY()`
    `boolean` | `isSetPos()`
    `void` | `setGdRefX(java.lang.String value)` Sets the value of the gdRefX property.
    `void` | `setGdRefY(java.lang.String value)` Sets the value of the gdRefY property.
    `void` | `setMaxX(java.lang.String value)` Sets the value of the maxX property.
    `void` | `setMaxY(java.lang.String value)` Sets the value of the maxY property.
    `void` | `setMinX(java.lang.String value)` Sets the value of the minX property.
    `void` | `setMinY(java.lang.String value)` Sets the value of the minY property.
    `void` | `setPos(CTAdjPoint2D value)` Sets the value of the pos property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pos

          protected CTAdjPoint2D pos

    - #### gdRefX

          protected java.lang.String gdRefX

    - #### minX

          protected java.lang.String minX

    - #### maxX

          protected java.lang.String maxX

    - #### gdRefY

          protected java.lang.String gdRefY

    - #### minY

          protected java.lang.String minY

    - #### maxY

          protected java.lang.String maxY

  - ### Constructor Detail

    - #### CTXYAdjustHandle

          public CTXYAdjustHandle()

  - ### Method Detail

    - #### getPos

          public CTAdjPoint2D getPos()

      Gets the value of the pos property.
      Returns:
        possible object is `CTAdjPoint2D`

    - #### setPos

          public void setPos(CTAdjPoint2D value)

      Sets the value of the pos property.
      Parameters:
        `value` - allowed object is `CTAdjPoint2D`

    - #### isSetPos

          public boolean isSetPos()

    - #### getGdRefX

          public java.lang.String getGdRefX()

      Gets the value of the gdRefX property.
      Returns:
        possible object is `String`

    - #### setGdRefX

          public void setGdRefX(java.lang.String value)

      Sets the value of the gdRefX property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetGdRefX

          public boolean isSetGdRefX()

    - #### getMinX

          public java.lang.String getMinX()

      Gets the value of the minX property.
      Returns:
        possible object is `String`

    - #### setMinX

          public void setMinX(java.lang.String value)

      Sets the value of the minX property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMinX

          public boolean isSetMinX()

    - #### getMaxX

          public java.lang.String getMaxX()

      Gets the value of the maxX property.
      Returns:
        possible object is `String`

    - #### setMaxX

          public void setMaxX(java.lang.String value)

      Sets the value of the maxX property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMaxX

          public boolean isSetMaxX()

    - #### getGdRefY

          public java.lang.String getGdRefY()

      Gets the value of the gdRefY property.
      Returns:
        possible object is `String`

    - #### setGdRefY

          public void setGdRefY(java.lang.String value)

      Sets the value of the gdRefY property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetGdRefY

          public boolean isSetGdRefY()

    - #### getMinY

          public java.lang.String getMinY()

      Gets the value of the minY property.
      Returns:
        possible object is `String`

    - #### setMinY

          public void setMinY(java.lang.String value)

      Sets the value of the minY property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMinY

          public boolean isSetMinY()

    - #### getMaxY

          public java.lang.String getMaxY()

      Gets the value of the maxY property.
      Returns:
        possible object is `String`

    - #### setMaxY

          public void setMaxY(java.lang.String value)

      Sets the value of the maxY property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetMaxY

          public boolean isSetMaxY()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.